Bug 98576 - New port: security/p5-Nmap-Parser Perform and manipulate nmap scans using perl
Summary: New port: security/p5-Nmap-Parser Perform and manipulate nmap scans using perl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-06 06:30 UTC by Joshua D. Abraham
Modified: 2006-06-06 09:59 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua D. Abraham 2006-06-06 06:30:16 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	p5-Nmap-Parser
#	p5-Nmap-Parser/Makefile
#	p5-Nmap-Parser/pkg-plist
#	p5-Nmap-Parser/pkg-descr
#	p5-Nmap-Parser/distinfo
#
echo c - p5-Nmap-Parser
mkdir -p p5-Nmap-Parser > /dev/null 2>&1
echo x - p5-Nmap-Parser/Makefile
sed 's/^X//' >p5-Nmap-Parser/Makefile << 'END-of-p5-Nmap-Parser/Makefile'
X# New ports collection makefile for: 	p5-Nmap-Parser
X# Date created:				June 3 2006
X# Whom:					Joshua D. Abraham <jabra@ccs.neu.edu>
X#
X# $FreeBSD: ports/security/p5-Nmap-Parser/Makefile,v 1.05 2006/06/03 04:00:00 Esp $
X#
X
XPORTNAME=	Nmap-Parser
XPORTVERSION=	1.05
XCATEGORIES=	security perl5
XMASTER_SITES=	${MASTER_SITE_PERL_CPAN}
XMASTER_SITE_SUBDIR=	../../authors/id/A/AP/APERSAUD
XPKGNAMEPREFIX=	p5-
X
XMAINTAINER=	jabra@ccs.neu.edu
XCOMMENT=	Parse nmap scan data with perl
X
XBUILD_DEPENDS=	${SITE_PERL}/XML/Twig.pm:${PORTSDIR}/textproc/p5-XML-Twig
XRUN_DEPENDS=	${BUILD_DEPENDS} \
X		nmap:${PORTSDIR}/security/nmap
X
XPERL_CONFIGURE= yes
X
XMAN3=		Nmap::Parser.3
X
Xpost-configure:
X	@${PERL} -pi -e 's/^(POD2MAN_EXE.*)$$/\1 --lax/;' ${WRKSRC}/Makefile
X
X.include <bsd.port.mk>
END-of-p5-Nmap-Parser/Makefile
echo x - p5-Nmap-Parser/pkg-plist
sed 's/^X//' >p5-Nmap-Parser/pkg-plist << 'END-of-p5-Nmap-Parser/pkg-plist'
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Nmap/Parser/.packlist
X%%SITE_PERL%%/Nmap/Parser.pm
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Nmap/Parser
X@dirrmtry %%SITE_PERL%%/Nmap
X@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Nmap
END-of-p5-Nmap-Parser/pkg-plist
echo x - p5-Nmap-Parser/pkg-descr
sed 's/^X//' >p5-Nmap-Parser/pkg-descr << 'END-of-p5-Nmap-Parser/pkg-descr'
XThis module implements a interface to the information contained in an nmap
Xscan. It is implemented by parsing the xml scan data that is generated by
Xnmap. This will enable anyone who utilizes nmap to quickly create fast and
Xrobust security scripts that utilize the powerful port scanning abilities of
Xnmap.
X
XWWW: http://search.cpan.org/~apersaud/Nmap-Parser-1.05/
END-of-p5-Nmap-Parser/pkg-descr
echo x - p5-Nmap-Parser/distinfo
sed 's/^X//' >p5-Nmap-Parser/distinfo << 'END-of-p5-Nmap-Parser/distinfo'
XMD5 (Nmap-Parser-1.05.tar.gz) = 5d5f113a9d166b07e041a5dc52f9c3ee
XSHA256 (Nmap-Parser-1.05.tar.gz) = 5979fa59078376ce752e9bd46fdc2b34b9a18199780412f5a3f257c82a31a759
XSIZE (Nmap-Parser-1.05.tar.gz) = 34451
END-of-p5-Nmap-Parser/distinfo
exit
Comment 1 Edwin Groothuis freebsd_committer 2006-06-06 07:08:22 UTC
Class Changed
From-To: sw-bug->change-request

Fix category (new ports should be change-requests)
Comment 2 Cheng-Lung Sung freebsd_committer 2006-06-06 07:40:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

I'll take it.
Comment 3 Cheng-Lung Sung freebsd_committer 2006-06-06 09:59:39 UTC
State Changed
From-To: open->closed

New port added. Thank you.